package cn.com.poc.expose.dto;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

public class SearchAgentApplicationDto implements Serializable {

    /**
     * 应用id
     */
    private String agentId;

    /**
     * 应用名称
     */
    private String agentTitle;

    /**
     * 应用描述
     */
    private String agentDesc;

    /**
     * 应用头像
     */
    private String agentAvatar;

    /**
     * 发布时间
     */
    private Date publishedTime;


    /**
     * 创建人
     */
    private String creator;

    /**
     * 积分数
     */
    private BigDecimal points;

    /**
     * is_document_parsing
     * 是否开启文档解析 1、Y 是 2、N 否
     */
    private java.lang.String isDocumentParsing;

    /**
     * unit_ids
     * 组件ID
     */
    private java.lang.String[] unitIds;


    public String getAgentId() {
        return agentId;
    }

    public void setAgentId(String agentId) {
        this.agentId = agentId;
    }

    public String getAgentTitle() {
        return agentTitle;
    }

    public void setAgentTitle(String agentTitle) {
        this.agentTitle = agentTitle;
    }

    public String getAgentDesc() {
        return agentDesc;
    }

    public void setAgentDesc(String agentDesc) {
        this.agentDesc = agentDesc;
    }

    public String getAgentAvatar() {
        return agentAvatar;
    }

    public void setAgentAvatar(String agentAvatar) {
        this.agentAvatar = agentAvatar;
    }

    public Date getPublishedTime() {
        return publishedTime;
    }

    public void setPublishedTime(Date publishedTime) {
        this.publishedTime = publishedTime;
    }

    public String getCreator() {
        return creator;
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }

    public BigDecimal getPoints() {
        return points;
    }

    public void setPoints(BigDecimal points) {
        this.points = points;
    }

    public String getIsDocumentParsing() {
        return isDocumentParsing;
    }

    public void setIsDocumentParsing(String isDocumentParsing) {
        this.isDocumentParsing = isDocumentParsing;
    }

    public String[] getUnitIds() {
        return unitIds;
    }

    public void setUnitIds(String[] unitIds) {
        this.unitIds = unitIds;
    }
}
